Skip to main content
DELETE
/
v2
/
offer
/
{publisherOfferId}
curl -X DELETE \
  'https://api.appcharge.com/v2/offer/special-offer-1' \
  -H 'Content-Type: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "publisherId": "35nb7861ec9924a6b69a0fe59",
  "offerId": "226cff96123a8717",
  "publisherOfferId": "special-offer-1",
  "displayName": "My Special Offer",
  "description": "This is my special offer description.",
  "name": "My Special Offer",
  "type": "SpecialOffer",
  "active": true,
  "segments": [
    "New User"
  ],
  "publisherTabId": "tab-1",
  "offerUi": {
    "offerUiId": "2bc77ff889b",
    "active": true,
    "offerUiType": "SpecialOffer",
    "name": "specialOffer1",
    "description": "description",
    "backgroundImage": "https://media.appcharge.com/media/65cb7182__4dc30c81-e4aa-40e8-9033-84cb05721bd0",
    "borderColor": {
      "colorOne": "#ffffff",
      "colorTwo": "",
      "direction": ""
    },
    "borderWidth": 2,
    "externalId": "specialOffer1"
  },
  "productsSequence": [
    {
      "index": 1,
      "playerAvailability": 12,
      "products": [
        {
          "product": {
            "publisherProductId": "6cb43621ccf1",
            "name": "Coins",
            "textFontColorHex": "#FFFFFF",
            "type": "Quantity",
            "prefix": "",
            "suffix": "",
            "priority": "Sub",
            "images": [
              {
                "type": "product",
                "url": "https://media.appcharge.com/media/45cb7861ec8924a6b69a0f59/download.jpeg"
              },
              {
                "type": "productPrefix",
                "url": ""
              }
            ],
            "createdAt": "2024-02-14T10:08:17.061Z",
            "updatedAt": "2024-09-27T13:41:55.775Z",
            "displayName": "coins",
            "productId": "75cc91114cf653a9cc2dce2c"
          },
          "publisherProductId": "6cb43621ccf1",
          "quantity": 1000,
          "priority": "Main"
        }
      ],
      "priceInUsdCents": 980,
      "badges": [],
      "id": "68b4092c7a895e559a3ac8d9"
    }
  ],
  "productSale": {
    "type": "percentage",
    "sale": 100
  },
  "priceDiscount": {
    "type": "percentage",
    "discount": 20
  },
  "offerExternalUiId": "2bc22377ff889cc",
  "badges": [
    {
      "publisherBadgeId": "12ac77ff889b"
    }
  ],
  "createdAt": "2025-04-06T10:00:44.528Z",
  "updatedAt": "2025-04-06T10:00:44.528Z"
}
curl -X DELETE \
  'https://api.appcharge.com/v2/offer/special-offer-1' \
  -H 'Content-Type: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "publisherId": "35nb7861ec9924a6b69a0fe59",
  "offerId": "226cff96123a8717",
  "publisherOfferId": "special-offer-1",
  "displayName": "My Special Offer",
  "description": "This is my special offer description.",
  "name": "My Special Offer",
  "type": "SpecialOffer",
  "active": true,
  "segments": [
    "New User"
  ],
  "publisherTabId": "tab-1",
  "offerUi": {
    "offerUiId": "2bc77ff889b",
    "active": true,
    "offerUiType": "SpecialOffer",
    "name": "specialOffer1",
    "description": "description",
    "backgroundImage": "https://media.appcharge.com/media/65cb7182__4dc30c81-e4aa-40e8-9033-84cb05721bd0",
    "borderColor": {
      "colorOne": "#ffffff",
      "colorTwo": "",
      "direction": ""
    },
    "borderWidth": 2,
    "externalId": "specialOffer1"
  },
  "productsSequence": [
    {
      "index": 1,
      "playerAvailability": 12,
      "products": [
        {
          "product": {
            "publisherProductId": "6cb43621ccf1",
            "name": "Coins",
            "textFontColorHex": "#FFFFFF",
            "type": "Quantity",
            "prefix": "",
            "suffix": "",
            "priority": "Sub",
            "images": [
              {
                "type": "product",
                "url": "https://media.appcharge.com/media/45cb7861ec8924a6b69a0f59/download.jpeg"
              },
              {
                "type": "productPrefix",
                "url": ""
              }
            ],
            "createdAt": "2024-02-14T10:08:17.061Z",
            "updatedAt": "2024-09-27T13:41:55.775Z",
            "displayName": "coins",
            "productId": "75cc91114cf653a9cc2dce2c"
          },
          "publisherProductId": "6cb43621ccf1",
          "quantity": 1000,
          "priority": "Main"
        }
      ],
      "priceInUsdCents": 980,
      "badges": [],
      "id": "68b4092c7a895e559a3ac8d9"
    }
  ],
  "productSale": {
    "type": "percentage",
    "sale": 100
  },
  "priceDiscount": {
    "type": "percentage",
    "discount": 20
  },
  "offerExternalUiId": "2bc22377ff889cc",
  "badges": [
    {
      "publisherBadgeId": "12ac77ff889b"
    }
  ],
  "createdAt": "2025-04-06T10:00:44.528Z",
  "updatedAt": "2025-04-06T10:00:44.528Z"
}

Headers

x-publisher-token
string
required

The publisher token

Path Parameters

publisherOfferId
string
required

The offer ID provided by the publisher. This is the offer's External ID value in the Publisher Dashboard.

Example:

"special-offer-1"

Response

Deleted offer.

publisherId
string

Publisher ID.

offerId
string

The unique identifier of the special offer.

publisherOfferId
string

The special offer ID provided by the publisher. This is the offer's External ID value in the Publisher Dashboard.

name
string

The name of the special offer.

displayName
string

The display name of the special offer.

description
string

The description of the offer (conditionally returned)

type
string

The type of special offer.

active
boolean

Whether the special offer is active.

segments
string[]

List of player segments that this special offer applies to (e.g., ["NewUser", "BigSpender"]). This is empty by default.

publisherTabId
string

Tab ID in the web store.

offerUi
object

UI configuration for the special offer.

productsSequence
object[]

A sequence of products in the special offer.

badges
object[]

List of badges associated with the special offer.

productSale
object

Sale details for products in the special offer. The sale will only be applied on the first offer.

priceDiscount
object

Discount applied to the special offer price.

schedule
object

The schedule for when the special offer is available.

createdAt
string<date-time>

Date the special offer was created.

updatedAt
string<date-time>

Date the special offer was updated.